/**
 * @file hw_rand.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Аппаратный генератор случайных чисел.
 * @version 0.1
 * @date 2024-05-02
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 */

#include <stdlib.h>
#include <syscallp.h>

/**
 * @brief Аппаратный генератор случайных чисел (RNG) в диапазоне 0..2^32-1
 * @return unsigned int
 */
unsigned int hw_rand() {
    return __internal_syscall_invoke1(SYSCALL_hw_rand, 0);
}
