/**
 * @file string.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками и памятью.
 * @version 0.1
 * @date 2024-04-18
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#include "string.h"

void memswap(void *m1, void *m2, size_t n) {
    char*  p     = m1;
    char*  p_end = p + n;
    char*  q     = m2;
    while (p < p_end) {
        char  tmp = *p;
        *p = *q;
        *q = tmp;
        p++;
        q++;
    }
}
