/**
 * @file string.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками и памятью.
 * @version 0.1
 * @date 2024-04-18
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#include "string.h"

char *strcpy(char *to, const char *from) {
    char *save = to;
    for (; (*to = *from) != '\0'; ++from, ++to);
    return save;
}
