/**
 * @file string.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками и памятью.
 * @version 0.1
 * @date 2024-04-18
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#include "string.h"

size_t strcspn(const char *s1, const char *s2) {
    const char *p, *spanp;
    char c, sc;
    //
    for (p = s1;;) {
        c = *p++;
        spanp = s2;
        do {
            if ((sc = *spanp++) == c) return (p - 1 - s1);
        } while (sc != 0);
    }
}
