/**
 * @file string.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками и памятью.
 * @version 0.1
 * @date 2024-04-18
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#include "stdlib.h"
#include "string.h"

char *strdup(const char *str) {
    size_t siz;
    char *copy;
    siz = strlen(str) + 1;
    copy = malloc(siz);
    if (!copy) return NULL;
    memcpy(copy, str, siz);
    return copy;
}
