/**
 * @file string.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками и памятью.
 * @version 0.1
 * @date 2024-04-18
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#include "string.h"

char *strncat(char *to, const char *from, size_t size) {
    if (size != 0) {
        char *d = to;
        const char *s = from;
        while (*d != 0) d++;
        do {
            if ((*d = *s++) == 0) break;
            d++;
        } while (--size != 0);
        *d = 0;
    }
    return to;
}
