/**
 * @file tdatetime.h
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы с временем.
 * @version 0.1
 * @date 2024-05-15
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 */

#define JULIAN_EPOCH    -2415018.5
#define UNIX_EPOCH      (JULIAN_EPOCH + 2440587.5)

#define SECS_PER_DAY    86400.0
