/**
 * @file stddef.h
 * @brief Стандартная библиотека контроллера "Сатурн-PLC"
 * @version 0.1
 * @date 2024-03-09
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#ifndef STDDEF_H
#define STDDEF_H

#define NULL                ((void *)0)
#define nullptr             ((void *)0)

#define offsetof( st, m )   __builtin_offsetof( st, m )

typedef __SIZE_TYPE__       size_t;
typedef int                 ssize_t;

typedef __PTRDIFF_TYPE__    ptrdiff_t;

typedef __WCHAR_TYPE__      wchar_t;
typedef __WINT_TYPE__       wint_t;

#define WCHAR_MAX           __WCHAR_MAX__
#define WCHAR_MIN           __WCHAR_MIN__

#ifndef WEOF
    #define WEOF (0xffffffffu)
#endif

#endif
