/**
 * @file stdint.h
 * @brief Стандартная библиотека контроллера "Сатурн-PLC"
 * @version 0.1
 * @date 2024-03-09
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#ifndef STDINT_H
#define STDINT_H

// целые типы
typedef signed char         int8_t;
typedef unsigned char       uint8_t;
typedef short               int16_t;
typedef unsigned short      uint16_t;
typedef int                 int32_t;
typedef unsigned            uint32_t;
typedef long long           int64_t;
typedef unsigned long long  uint64_t;
//
typedef long long           intmax_t;
typedef unsigned long long  uintmax_t;
//
typedef int                 intptr_t;
typedef unsigned            uintptr_t;
//
typedef unsigned int        UINT;


#endif
