/**
 * @file tls_common.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * TLS: Структуры данных и константы.
 * @version 0.1
 * @date 2024-04-25
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 */

#include <stdint.h>
#include <stddef.h>
#include <satsock.h>

#include "tls_common.h"

void tls_send_client_hello(int sock) {

}

int tls_connect(char *host, uint16_t port) {

    int sock = CreateSocket(SOCK_STREAM);
    if(!sock) return 0;
    //
    int res = SocketConnectBlock(sock, host, port, 4000);
    if(!res) return 0;
    //
    // // send Client Hello
    tls_send_client_hello(sock);
    







}
