/**
 * @file abs.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC"
 * @version 0.1
 * @date 2024-04-19
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#include <stdlib.h>

/**
 * @brief Возвращает абсолютное значение числа x
 * 
 * @param x 
 * @return int 
 */
inline int abs(int x) {
    return (x >= 0)?x:-x;
}

/**
 * @brief Возвращает абсолютное значение числа x
 * 
 * @param x 
 * @return long long
 */
inline long long llabs(long long x) {
    return (x >= 0)?x:-x;
}
