/**
 * @file string.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками и памятью.
 * @version 0.1
 * @date 2024-04-18
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 * 
 */

#include "string.h"

void *memchr (const void *srcv, int c, size_t len) {
    const unsigned char *src = (const unsigned char *)srcv;
    while (len-- > 0) {
        if (*src == c) return (void *)src;
        src++;
    }
    return NULL;
}
