/**
 * @file wcscat.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками в кодировках UTF8/16/32.
 * @version 0.1
 * @date 2024-05-11
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 */

#include <wchar.h>

wchar_t* wcscat(wchar_t* dest, const wchar_t* src) {
    return wcscpy(dest + wcslen(dest), src);
}
