/**
 * @file wcslen.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы со строками в кодировках UTF8/16/32.
 * @version 0.1
 * @date 2024-05-11
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 */

#include <wchar.h>

/**
 * @brief Возвращает количество символов в строке UTF32.
 * @param str 
 * @return size_t 
 */
size_t wcslen(const wchar_t* str) {
    wchar_t* s;
    for(s = (wchar_t*)str; *s; ++s);
    return(s - str);
}
