/**
 * @file iswalnum.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы с символами wchar_t.
 * @version 0.1
 * @date 2024-05-14
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 */

#include <stddef.h>
#include <wctype.h>

/**
 * @brief Функция проверяет, является ли символ широким текстовым символом.
 * @param c 
 * @return int 
 */
int iswalnum(wchar_t c) {
    return (iswalpha (c) || iswdigit (c));
}
