/**
 * @file iswupper.c
 * @brief Стандартная библиотека контроллера "Сатурн-PLC".
 * Функции работы с символами wchar_t.
 * @version 0.1
 * @date 2024-05-14
 * 
 * @copyright Copyright (C) 2024, ООО "МНПП Сатурн"
 */

#include <stddef.h>
#include <wctype.h>

/**
 * @brief Функция проверяет, является ли символ широким символом в верхнем регистре.
 * @param c 
 * @return int 
 */
int iswupper(wchar_t c) {
    return (towlower (c) != c);
}
